DPMSSetTimeouts(3) | Library Functions Manual | DPMSSetTimeouts(3)

# NAME

DPMSSetTimeouts - permits applications to set the timeout values used by the X server for DPMS timings

# SYNOPSIS

    cc [ flag ... ] file ... -lXext [ library ... ]
    #include <X11/extensions/dpms.h>

    Status DPMSSetTimeouts (

          Display *display,

          CARD16 standby,

          CARD16 suspend,

          CARD16 off
    );

# ARGUMENTS

display
  Specifies the connection to the X server
standby
  Specifies the new standby timeout in seconds
suspend
  Specifies the new suspend timeout in seconds
off
  Specifies the new off timeout in seconds

# DESCRIPTION

The DPMSSetTimeouts function permits applications to set the timeout values used by the X server for Display Power Management Signaling (DPMS) timings.

The value standby is the amount of inactivity time, in seconds, before standby mode is invoked. The actual effects of this mode are dependent on the characteristics of the monitor and frame buffer card. Standby mode is implemented by shutting off the horizontal sync signal, and pulsing the vertical sync signal. Standby mode provides the quickest monitor recovery time. Note also that many monitors implement this mode identical to suspend mode. A value of zero disables the standby mode.

The value suspend is the amount of time of inactivity, in seconds, before the second level of power savings is invoked. Suspend mode's physical and electrical characteristics are implementation defined. For DPMS compliant hardware, setting the suspend mode is implemented by pulsing the horizontal sync signal and shutting off the vertical sync signal. In general, suspend mode recovery is considered to be slower than standby mode, but faster than off mode. However it may vary from monitor to monitor. As noted above, many monitors implement this mode identical to the standby mode. A value of zero disables this mode.

The value off is the amount of time of inactivity, in seconds, before the third and final level of power savings is invoked. Off mode's physical and electrical characteristics are implementation defined. In DPMS compliant hardware, it is implemented by shutting off both horizontal and vertical sync signals, resulting in powering down of the monitor. Recovery time is implementation dependent. Usually the recovery time is very close to the power-up time of the monitor. A value of zero disables this mode.

Chronologically, standby mode occurs before or simultaneously with suspend mode, and suspend mode must occur before or simultaneously with off mode. Therefore, non-zero mode timeout values must be greater than or equal to the timeout values of earlier modes. If inconsistent values are supplied, a BadValue error will result.

# RETURN VALUES

TRUE
  The DPMSSetTimeouts function returns TRUE when the function has succeeded.

# ERRORS

BadValue
  An argument is out of range.

# SEE ALSO

DPMSCapable(3), DPMSInfo(3), DPMSGetTimeouts(3)

2005-06-28 | X Version 11